Package wx :: Class ScrollWinEvent

[frames | no frames]

## Type ScrollWinEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    ScrollWinEvent

A wx.ScrollWinEvent holds information about scrolling and is sent from scrolling windows.

# Events

> EVT_SCROLLWIN | Used to bind all scrolled window scroll events
> EVT_SCROLLWIN_TOP | scroll-to-top events (minimum position)
> EVT_SCROLLWIN_BOTTOM | scroll-to-bottom events (maximum position)
> EVT_SCROLLWIN_LINEUP | line up events
> EVT_SCROLLWIN_LINEDOWN | line down events
> EVT_SCROLLWIN_PAGEUP | page up events
> EVT_SCROLLWIN_PAGEDOWN | page down events
> EVT_SCROLLWIN_THUMBTRACK | thumbtrack events (frequent events sent as the user drags the 'thumb')
> EVT_SCROLLWIN_THUMBRELEASE | thumb release events
> EVT_SCROLLWIN_CHANGED | End of scrolling

See Also:

`wx.ScrollEvent`

Method Summary
ScrollWinEvent | ``__init__`(self, commandType, pos, orient)` A wx.ScrollWinEvent holds information about scrolling and is sent from scrolling windows.
int | ``GetOrientation`(self)` Returns wx.HORIZONTAL or wx.VERTICAL, depending on the orientation of the scrollbar.
int | ``GetPosition`(self)` Returns the position of the scrollbar for the thumb track and release events.
| `SetOrientation(self, orient)`
| `SetPosition(self, pos)`

Property Summary
| `Orientation`: See `GetOrientation` and `SetOrientation`
| `Position`: See `GetPosition` and `SetPosition`
| `thisown`: The membership flag

Method Details

### __init__(self, commandType=wxEVT_NULL, pos=0, orient=0)
(Constructor)

A wx.ScrollWinEvent holds information about scrolling and is sent from scrolling windows.

# Events

> EVT_SCROLLWIN | Used to bind all scrolled window scroll events
> EVT_SCROLLWIN_TOP | scroll-to-top events (minimum position)
> EVT_SCROLLWIN_BOTTOM | scroll-to-bottom events (maximum position)
> EVT_SCROLLWIN_LINEUP | line up events
> EVT_SCROLLWIN_LINEDOWN | line down events
> EVT_SCROLLWIN_PAGEUP | page up events
> EVT_SCROLLWIN_PAGEDOWN | page down events
> EVT_SCROLLWIN_THUMBTRACK | thumbtrack events (frequent events sent as the user drags the 'thumb')
> EVT_SCROLLWIN_THUMBRELEASE | thumb release events
> EVT_SCROLLWIN_CHANGED | End of scrolling

  Parameters:
    `commandType`
    (type=EventType)

    `pos`
    (type=int)

    `orient`
    (type=int)

  Returns:
    ScrollWinEvent
  Overrides:
    `wx.Event.__init__`

  See Also:

  `wx.ScrollEvent`

### GetOrientation(self)

Returns wx.HORIZONTAL or wx.VERTICAL, depending on the orientation of the scrollbar.

  Returns:
    int

### GetPosition(self)

Returns the position of the scrollbar for the thumb track and release events. Note that this field can't be used for the other events, you need to query the window itself for the current position in that case.

  Returns:
    int

Property Details

### Orientation

See `GetOrientation` and `SetOrientation`

  Get Method:
    `GetOrientation`(self)
  Set Method:
    `SetOrientation`(self, orient)

### Position

See `GetPosition` and `SetPosition`

  Get Method:
    `GetPosition`(self)
  Set Method:
    `SetPosition`(self, pos)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:23 2007 | http://epydoc.sf.net